<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ctb__fast__config__oa1__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ctb_fast_config_oa1_t</compoundname>
    <includes local="no">cy_ctb.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ctb__fast__config__oa1__t_1aa2b0e8a1298422e9f6ba42d217635731" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ctb__enums_1ga9cbeea246fe4162a2d4d7be689e807c7">cy_en_ctb_power_t</ref></type>
        <definition>cy_en_ctb_power_t cy_stc_ctb_fast_config_oa1_t::oa1Power</definition>
        <argsstring />
        <name>oa1Power</name>
        <briefdescription>
<para>Opamp1 power mode: off, low, medium, or high. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" bodystart="860" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="860" />
      </memberdef>
      <memberdef id="structcy__stc__ctb__fast__config__oa1__t_1a65346299fa6b2e1fd6196cf31e68de12" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ctb__enums_1gad4b99429b5ed1561e1b82bb7a21d9e79">cy_en_ctb_mode_t</ref></type>
        <definition>cy_en_ctb_mode_t cy_stc_ctb_fast_config_oa1_t::oa1Mode</definition>
        <argsstring />
        <name>oa1Mode</name>
        <briefdescription>
<para>Opamp1 usage mode: 1x drive, 10x drive, or as a comparator. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" bodystart="861" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="861" />
      </memberdef>
      <memberdef id="structcy__stc__ctb__fast__config__oa1__t_1a9fc629d5ceb97b6884007e5cd1f758de" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ctb_fast_config_oa1_t::oa1SwitchCtrl</definition>
        <argsstring />
        <name>oa1SwitchCtrl</name>
        <briefdescription>
<para>Opamp1 routing control. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" bodystart="862" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="862" />
      </memberdef>
      <memberdef id="structcy__stc__ctb__fast__config__oa1__t_1ac84c8730f47d459c01e5754140d12e3e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_ctb_fast_config_oa1_t::ctdSwitchCtrl</definition>
        <argsstring />
        <name>ctdSwitchCtrl</name>
        <briefdescription>
<para>Routing control between the CTDAC and CTB blocks. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" bodystart="863" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="863" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This configuration structure is used to quickly initialize Opamp1 for the most commonly used configurations. </para>    </briefdescription>
    <detaileddescription>
<para>Other configuration options are set to:<itemizedlist>
<listitem><para>.oa1Pump = <ref kindref="member" refid="group__group__ctb__enums_1gga8517634c935bde4de8ccce97aa1e21f4ab9ecbb1c3a529cdeb938ecc3dc6add6f">CY_CTB_PUMP_ENABLE</ref></para></listitem><listitem><para>.oa1CompEdge = <ref kindref="member" refid="group__group__ctb__enums_1gga6ae45a6e79c46d06120295f542981cf4af356e98625d625f0ed35260a11dc6647">CY_CTB_COMP_EDGE_BOTH</ref></para></listitem><listitem><para>.oa1CompLevel = <ref kindref="member" refid="group__group__ctb__enums_1gga1d4c88f3c58f2cba9122932a65721f9eaa4b8129109df9d5d1ec3d7253baf7fe2">CY_CTB_COMP_DSI_TRIGGER_OUT_LEVEL</ref></para></listitem><listitem><para>.oa1CompBypass = <ref kindref="member" refid="group__group__ctb__enums_1ggab99b3f65e01d39c47bb49b1255f478d2a355e7f8cb9d5ba71b9cd5cfa37e293b5">CY_CTB_COMP_BYPASS_SYNC</ref></para></listitem><listitem><para>.oa1CompHyst = <ref kindref="member" refid="group__group__ctb__enums_1ggad36a97756b1a5ea884c9a6653c0a26c7a5fcfb393b5ff8d864116f914c5147c06">CY_CTB_COMP_HYST_10MV</ref></para></listitem><listitem><para>.oa1CompIntrEn = true </para></listitem></itemizedlist>
</para>    </detaileddescription>
    <location bodyend="864" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" bodystart="858" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ctb.h" line="859" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ctb__fast__config__oa1__t_1ac84c8730f47d459c01e5754140d12e3e" virt="non-virtual"><scope>cy_stc_ctb_fast_config_oa1_t</scope><name>ctdSwitchCtrl</name></member>
      <member prot="public" refid="structcy__stc__ctb__fast__config__oa1__t_1a65346299fa6b2e1fd6196cf31e68de12" virt="non-virtual"><scope>cy_stc_ctb_fast_config_oa1_t</scope><name>oa1Mode</name></member>
      <member prot="public" refid="structcy__stc__ctb__fast__config__oa1__t_1aa2b0e8a1298422e9f6ba42d217635731" virt="non-virtual"><scope>cy_stc_ctb_fast_config_oa1_t</scope><name>oa1Power</name></member>
      <member prot="public" refid="structcy__stc__ctb__fast__config__oa1__t_1a9fc629d5ceb97b6884007e5cd1f758de" virt="non-virtual"><scope>cy_stc_ctb_fast_config_oa1_t</scope><name>oa1SwitchCtrl</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>